from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from re import compile as re_compile
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('../rougail-tests/funcs/test.py')
try:
    groups.namespace
except:
    groups.addgroup('namespace')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
option_3 = StrOption(name="var", doc="a variable", default="no", properties=frozenset({"mandatory", "standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_8calculation_multi_variable_parent2/rougail/00-base.yml'], 'type': 'string'})
optiondescription_2 = OptionDescription(name="fam1", doc="first family", children=[option_3], properties=frozenset({"standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_8calculation_multi_variable_parent2/rougail/00-base.yml']})
option_5 = StrOption(name="var", doc="a variable", default=Calculation(func['calc_value'], Params((ParamOption(option_3)))), properties=frozenset({"mandatory", "standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_8calculation_multi_variable_parent2/rougail/00-base.yml'], 'type': 'string'})
optiondescription_4 = OptionDescription(name="fam2", doc="second family", children=[option_5], properties=frozenset({"standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_8calculation_multi_variable_parent2/rougail/00-base.yml']})
optiondescription_1 = OptionDescription(name="rougail", doc="Rougail", group_type=groups.namespace, children=[optiondescription_2, optiondescription_4], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
